# TestEventReporterFactory

@ServiceScope(value = Build::class)
@Incubating
interface TestEventReporterFactory

A service that provides access to the test event reporting API.

#### Since

8.12

## Functions

createTestEventReporter
Link copied to clipboard
abstract fun createTestEventReporter(rootName: String, binaryResultsDirectory: Directory, htmlReportDirectory: Directory): GroupTestEventReporter
Returns an object that can be used to report test events.